Bug 82867 - [EFL] [DRT] Send double click event from EventSender
: [EFL] [DRT] Send double click event from EventSender
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit EFL
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Sudarsana Nagineni (babu)
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 02:15 PDT by Sudarsana Nagineni (babu)
Modified: 2012-04-20 03:57 PDT (History)
6 users (show)

See Also:


Attachments
Patch (6.14 KB, patch)
2012-04-02 08:39 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (6.23 KB, patch)
2012-04-20 01:51 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-04-02 02:15:42 PDT
Add support for EFL DumpRenderTree EventSender to send double click events
Comment 1 Sudarsana Nagineni (babu) 2012-04-02 08:39:11 PDT
Created attachment 135109 [details]
Patch

Add support for double click simulation
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-04-02 08:52:46 PDT
Comment on attachment 135109 [details]
Patch

Interesting, I thought you would need much more code to make this work. Informal r+ if all those tests can really be unskipped :-)
Comment 3 Gyuyoung Kim 2012-04-05 22:07:16 PDT
Comment on attachment 135109 [details]
Patch

Looks good to me.
Comment 4 Sudarsana Nagineni (babu) 2012-04-20 01:51:58 PDT
Created attachment 138061 [details]
Patch

rebased
Comment 5 Daniel Bates 2012-04-20 03:05:13 PDT
Comment on attachment 138061 [details]
Patch

Looks sane to me.
Comment 6 WebKit Review Bot 2012-04-20 03:57:00 PDT
Comment on attachment 138061 [details]
Patch

Clearing flags on attachment: 138061

Committed r114737: <http://trac.webkit.org/changeset/114737>
Comment 7 WebKit Review Bot 2012-04-20 03:57:05 PDT
All reviewed patches have been landed.  Closing bug.